\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::angle()
Global Kernel Functions

##

## Functions
template<typename Kernel >
Angle | CGAL::angle (const CGAL::Vector_2< Kernel > &u, const CGAL::Vector_2< Kernel > &v)
| returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the two vectors `u` and `v`.
template<typename Kernel >
Angle | CGAL::angle (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the three points `p`, `q`, `r` (`q` being the vertex of the angle). More...
template<typename Kernel >
Angle | CGAL::angle (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r, const CGAL::Point_2< Kernel > &s)
| returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the two vectors `pq`, `rs`. More...
template<typename Kernel >
Angle | CGAL::angle (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the three points `p`, `q`, `r` (`q` being the vertex of the angle).

## Function Documentation

template<typename Kernel >

Angle CGAL::angle | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the three points `p`, `q`, `r` (`q` being the vertex of the angle).

The returned value is the same as `angle(p - q, r - q)`.

`#include <CGAL/global_functions.h>`

template<typename Kernel >

Angle CGAL::angle | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r,
|  | const CGAL::Point_2< Kernel > & | s
| ) |  |

returns `CGAL::OBTUSE`, `CGAL::RIGHT` or `CGAL::ACUTE` depending on the angle formed by the two vectors `pq`, `rs`.

The returned value is the same as `angle(q - p, s - r)`.

`#include <CGAL/global_functions.h>`